#property copyright "Copyright  2011, Rohim <rohim13@gmail.com>"
#property link      ""

#property indicator_chart_window

int g_bars_76 = 0;

int init() {
   return (0);
}

int deinit() {
   ObjectDelete("RocemTrend_TEXT");
   return (0);
}

int start() {
   int li_0;
   if (g_bars_76 != Bars) {
      g_bars_76 = Bars;
      li_0 = GetStatus();
      SetSignal(li_0);
   }
   return (0);
}

int GetStatus() {
   int li_ret_0 = 10;
   double l_ima_28 = iMA(Symbol(), Period(), 20, 0, MODE_EMA, PRICE_CLOSE, 1);
   double l_ima_36 = iMA(Symbol(), Period(), 50, 0, MODE_EMA, PRICE_CLOSE, 1);
   double ld_12 = MathRound(10000.0 * MathAbs(l_ima_28 - l_ima_36));
   double l_iatr_4 = iATR(Symbol(), Period(), 21, 1);
   double ld_20 = 0.6 * MathRound(10000.0 * l_iatr_4);
   if (ld_12 > ld_20 && Open[1] > l_ima_28 && Close[1] > l_ima_28 && l_ima_28 > l_ima_36) li_ret_0 = 0;
   if (ld_12 > ld_20 && Open[1] < l_ima_28 && Close[1] < l_ima_28 && l_ima_28 < l_ima_36) li_ret_0 = 1;
   return (li_ret_0);
}

void SetSignal(int ai_0) {
   string l_text_4;
   color l_color_12;
   if (ObjectFind("RocemTrend_TEXT") < 0) {
      ObjectCreate("RocemTrend_TEXT", OBJ_LABEL, 0, 0, 0);
      ObjectSet("RocemTrend_TEXT", OBJPROP_XDISTANCE, 20);
      ObjectSet("RocemTrend_TEXT", OBJPROP_YDISTANCE, 20);
   }
   switch (ai_0) {
   case 0:
      l_text_4 = "Dominan Trend: NAIK";
      l_color_12 = Aqua;
      break;
   case 1:
      l_text_4 = "Dominan Trend: TURUN";
      l_color_12 = Pink;
      break;
   default:
      l_text_4 = "Belum ada dominan trend...";
      l_color_12 = LavenderBlush;
   }
   ObjectSetText("RocemTrend_TEXT", l_text_4, 14, "Tahoma", l_color_12);
}