#property copyright "Copyright  2011, Rohim <rohim13@gmail.com>"
#property link      ""

#property indicator_chart_window

int gi_76 = 14;
double g_ibuf_80[];
double g_ibuf_84[];
double g_ibuf_88[];
double g_ibuf_92[];
int gi_96;
int g_bars_100 = 0;
int gi_104 = 0;
double gd_108;
double gd_116;
int gi_124 = 0;
double gd_128;
double gd_136;

int init() {
   IndicatorBuffers(4);
   if (!SetIndexBuffer(0, g_ibuf_80) && !SetIndexBuffer(1, g_ibuf_84) && !SetIndexBuffer(2, g_ibuf_88) && !SetIndexBuffer(3, g_ibuf_92)) Print("cannot set indicator buffers!");
   gi_96 = gi_76 + MathFloor(MathSqrt(gi_76));
   SetIndexStyle(0, DRAW_NONE);
   SetIndexStyle(1, DRAW_NONE);
   SetIndexStyle(2, DRAW_NONE);
   SetIndexStyle(3, DRAW_NONE);
   return (0);
}

int deinit() {
   Comment("");
   ObjectDelete("RocemTrend_TEXT1");
   ObjectDelete("RocemTrend_TEXT2");
   ObjectDelete("RocemTrend_TEXT3");
   ObjectDelete("RocemTrend_TEXT4");
   return (0);
}

int start() {
   double lda_12[10];
   double lda_16[10];
   double lda_20[10];
   double lda_24[10];
   double lda_28[10];
   string ls_unused_4 = "";
   GetEntry(lda_20);
   GetEMA_X(lda_12, lda_24, lda_28);
   GetATR_Z(lda_16);
   if (g_bars_100 != Bars) {
      ObjectDelete("RocemTrend_TEXT1");
      ObjectDelete("RocemTrend_TEXT2");
      ObjectDelete("RocemTrend_TEXT3");
      ObjectDelete("RocemTrend_TEXT4");
      if (gi_104 == 0 && gi_124 == 0) SetSignal("Monitoring Trend", Silver, 1);
      else SetSignal("Monitoring Trend Berlanjut", Silver, 1);
   }
   CheckBuyState(lda_20, lda_12, lda_16, lda_24, lda_28);
   CheckSellState(lda_20, lda_12, lda_16, lda_24, lda_28);
   return (0);
}

void CheckBuyState(double ada_0[10], double ada_4[10], double ada_8[10], double ada_12[10], double ada_16[10]) {
   double l_iatr_20;
   if (gi_104 == 0) {
      if (ada_0[3] < ada_0[4] && ada_0[2] < ada_0[3] && ada_0[1] >= ada_0[2] && ada_4[3] > ada_8[3] || ada_4[2] > ada_8[2] || ada_4[1] > ada_8[1]) {
         if (Open[1] > ada_16[1] && Close[1] > ada_16[1] && (Open[2] > ada_16[2] && Close[2] > ada_16[2]) && (Open[3] > ada_16[3] && Close[3] > ada_16[3])) {
            gi_104 = 1;
            l_iatr_20 = iATR(Symbol(), Period(), 21, 0);
            gd_108 = Open[0] - l_iatr_20;
            gd_116 = Open[0] + 2.0 * l_iatr_20;
          //  SetSignal("Buy Signal: Enter With 3 Lots on " + Symbol() + " at " + DoubleToStr(Open[0], Digits), Blue, 1);
          //  SetSignal("Stop Loss Placed At " + DoubleToStr(gd_108, Digits), Blue, 2);
          //  SetSignal("Profit Target Placed At " + DoubleToStr(gd_116, Digits), Blue, 3);
            PlaySound("alert.wav");
         }
      }
   }
   if (gi_104 >= 1 && Bid <= gd_108) {
      gi_104 = 0;
      gd_108 = 0;
      gd_116 = 0;
    //  SetSignal("Stop Loss For Buy Signal On " + Symbol() + " Hit", Red, 1);
      PlaySound("alert.wav");
   }
   if (gi_104 == 1 && Bid >= gd_116) {
      gi_104 = 2;
     // SetSignal("Profit Target For Buy Signal On " + Symbol() + " Hit - Exit One Lot", Green, 1);
      PlaySound("alert.wav");
   }
   if (gi_104 >= 1) {
      if (ada_0[1] < ada_0[2] && gi_104 < 3) {
         gi_104 = 3;
       //  SetSignal("Exit One Lot For Buy Trade On " + Symbol() + " at " + DoubleToStr(Open[0], Digits) + ".", Red, 1);
       //  SetSignal("Keep the remaining lots open", Red, 4);
         PlaySound("alert.wav");
      }
      if (Close[1] < ada_12[1]) {
         gi_104 = 0;
        // SetSignal("Exit All Remainng Lots For Buy Trade On " + Symbol() + " at " + DoubleToStr(Open[0], Digits), Red, 1);
         PlaySound("alert.wav");
      }
   }
}

void CheckSellState(double ada_0[10], double ada_4[10], double ada_8[10], double ada_12[10], double ada_16[10]) {
   double l_iatr_20;
   if (gi_124 == 0) {
      if (ada_0[3] > ada_0[4] && ada_0[2] > ada_0[3] && ada_0[1] <= ada_0[2] && ada_4[3] < ada_8[3] || ada_4[2] < ada_8[2] || ada_4[1] < ada_8[1]) {
         if (Open[1] < ada_16[1] && Close[1] < ada_16[1] && (Open[2] < ada_16[2] && Close[2] < ada_16[2]) && (Open[3] < ada_16[3] && Close[3] < ada_16[3])) {
            gi_124 = 1;
            l_iatr_20 = iATR(Symbol(), Period(), 21, 0);
            gd_128 = Open[0] + l_iatr_20;
            gd_136 = Open[0] - 2.0 * l_iatr_20;
         //   SetSignal("Sell Signal: Enter With 3 Lots on " + Symbol() + " at " + DoubleToStr(Open[0], Digits), Yellow, 1);
         //   SetSignal("Stop Loss Placed At " + DoubleToStr(gd_128, Digits), Yellow, 2);
          //  SetSignal("Profit Target Placed At " + DoubleToStr(gd_136, Digits), Yellow, 3);
            PlaySound("alert.wav");
         }
      }
   }
   if (gi_124 >= 1 && Ask >= gd_128) {
      gi_124 = 0;
      gd_128 = 0;
      gd_136 = 0;
     // SetSignal("Stop Loss For Sell Signal On " + Symbol() + " Hit", Red, 1);
      PlaySound("alert.wav");
   }
   if (gi_124 == 1 && Ask <= gd_136) {
      gi_124 = 2;
     // SetSignal("Profit Target For Sell Signal On " + Symbol() + " Hit - Exit One Lot", Green, 1);
      PlaySound("alert.wav");
   }
   if (gi_124 >= 1) {
      if (ada_0[1] > ada_0[2] && gi_124 < 3) {
         gi_124 = 3;
        // SetSignal("Exit One Lot For Sell Trade On " + Symbol() + " at " + DoubleToStr(Open[0], Digits) + ".", Red, 1);
       //  SetSignal("Keep the remaining lots open", Red, 4);
         PlaySound("alert.wav");
      }
      if (Close[1] > ada_12[1]) {
         gi_124 = 0;
        // SetSignal("Exit All Remainng Lots For Sell Trade On " + Symbol() + " at " + DoubleToStr(Open[0], Digits), Red, 1);
         PlaySound("alert.wav");
      }
   }
}

void GetATR_Z(double &ada_0[10]) {
   double l_iatr_8;
   for (int li_4 = 0; li_4 < 10; li_4++) {
      l_iatr_8 = iATR(Symbol(), Period(), 21, li_4);
      ada_0[li_4] = 0.6 * MathRound(10000.0 * l_iatr_8);
   }
}

void GetEMA_X(double &ada_0[10], double &ada_4[10], double &ada_8[10]) {
   double l_ima_16;
   double l_ima_24;
   double l_ima_32;
   for (int li_12 = 0; li_12 < 10; li_12++) {
      l_ima_16 = iMA(Symbol(), Period(), 20, 0, MODE_EMA, PRICE_CLOSE, li_12);
      l_ima_24 = iMA(Symbol(), Period(), 50, 0, MODE_EMA, PRICE_CLOSE, li_12);
      l_ima_32 = iMA(Symbol(), Period(), 60, 0, MODE_EMA, PRICE_CLOSE, li_12);
      ada_0[li_12] = MathRound(10000.0 * MathAbs(l_ima_16 - l_ima_24));
      ada_4[li_12] = l_ima_16;
      ada_8[li_12] = l_ima_32;
   }
}

void SetSignal(string a_text_0, color a_color_8, int ai_12) {
   switch (ai_12) {
   case 1:
      if (ObjectFind("RocemTrend_TEXT1") < 0) {
         ObjectCreate("RocemTrend_TEXT1", OBJ_LABEL, 0, 0, 0);
         ObjectSet("RocemTrend_TEXT1", OBJPROP_XDISTANCE, 20);
         ObjectSet("RocemTrend_TEXT1", OBJPROP_YDISTANCE, 40);
      }
      ObjectSetText("RocemTrend_TEXT1", a_text_0, 14, "Tahoma", a_color_8);
      break;
   case 2:
      if (ObjectFind("RocemTrend_TEXT2") < 0) {
         ObjectCreate("RocemTrend_TEXT2", OBJ_LABEL, 0, 0, 0);
         ObjectSet("RocemTrend_TEXT2", OBJPROP_XDISTANCE, 20);
         ObjectSet("RocemTrend_TEXT2", OBJPROP_YDISTANCE, 70);
      }
      ObjectSetText("RocemTrend_TEXT2", a_text_0, 14, "Tahoma", a_color_8);
      break;
   case 3:
      if (ObjectFind("RocemTrend_TEXT3") < 0) {
         ObjectCreate("RocemTrend_TEXT3", OBJ_LABEL, 0, 0, 0);
         ObjectSet("RocemTrend_TEXT3", OBJPROP_XDISTANCE, 20);
         ObjectSet("RocemTrend_TEXT3", OBJPROP_YDISTANCE, 100);
      }
      ObjectSetText("RocemTrend_TEXT3", a_text_0, 14, "Tahoma", a_color_8);
      break;
   case 4:
      if (ObjectFind("RocemTrend_TEXT4") < 0) {
         ObjectCreate("RocemTrend_TEXT4", OBJ_LABEL, 0, 0, 0);
         ObjectSet("RocemTrend_TEXT4", OBJPROP_XDISTANCE, 435);
         ObjectSet("RocemTrend_TEXT4", OBJPROP_YDISTANCE, 40);
      }
      ObjectSetText("RocemTrend_TEXT4", a_text_0, 14, "Tahoma", a_color_8);
   }
   g_bars_100 = Bars;
}

void GetEntry(double &ada_0[10]) {
   double l_ima_on_arr_24;
   int li_12 = IndicatorCounted();
   if (li_12 < 1) {
      for (int li_8 = 1; li_8 <= gi_96; li_8++) g_ibuf_92[Bars - li_8] = 0;
      for (li_8 = 1; li_8 <= gi_76; li_8++) {
         g_ibuf_80[Bars - li_8] = 0;
         g_ibuf_84[Bars - li_8] = 0;
         g_ibuf_88[Bars - li_8] = 0;
      }
   }
   if (li_12 > 0) li_12--;
   int li_4 = Bars - li_12;
   for (li_8 = 0; li_8 < li_4; li_8++) g_ibuf_92[li_8] = 2.0 * iMA(NULL, 0, MathFloor(gi_76 / 2), 0, MODE_LWMA, PRICE_CLOSE, li_8) - iMA(NULL, 0, gi_76, 0, MODE_LWMA, PRICE_CLOSE, li_8);
   double l_ima_on_arr_16 = iMAOnArray(g_ibuf_92, 0, MathFloor(MathSqrt(gi_76)), 0, MODE_LWMA, 0);
   for (li_8 = 1; li_8 < li_4; li_8++) {
      l_ima_on_arr_24 = iMAOnArray(g_ibuf_92, 0, MathFloor(MathSqrt(gi_76)), 0, MODE_LWMA, li_8);
      if (l_ima_on_arr_24 > l_ima_on_arr_16) {
         g_ibuf_80[li_8] = EMPTY_VALUE;
         g_ibuf_84[li_8] = EMPTY_VALUE;
         g_ibuf_88[li_8] = l_ima_on_arr_24;
         g_ibuf_88[li_8 - 1] = l_ima_on_arr_16;
      } else {
         if (l_ima_on_arr_24 < l_ima_on_arr_16) {
            g_ibuf_80[li_8] = l_ima_on_arr_24;
            g_ibuf_80[li_8 - 1] = l_ima_on_arr_16;
            g_ibuf_84[li_8] = EMPTY_VALUE;
            g_ibuf_88[li_8] = EMPTY_VALUE;
         } else {
            g_ibuf_80[li_8] = -1;
            g_ibuf_84[li_8] = l_ima_on_arr_24;
            g_ibuf_88[li_8 - 1] = l_ima_on_arr_16;
            g_ibuf_88[li_8] = -1;
         }
      }
      l_ima_on_arr_16 = l_ima_on_arr_24;
   }
   for (li_8 = 0; li_8 < 10; li_8++) {
      if (g_ibuf_80[li_8] == EMPTY_VALUE || g_ibuf_80[li_8] == -1.0) ada_0[li_8] = g_ibuf_88[li_8];
      else ada_0[li_8] = g_ibuf_80[li_8];
   }
}